System Requirements

Learn about the iKydz System Requirements here

iKydz WIFI:

To use iKydz WIFI products, all you need is an Internet Router with an available LAN port.

To use the associated iKydz Parent app, you will need an Android or iOS mobile device. The iKydz Parent app is supported for Android version 5.0 and higher, and iOS version 11 and higher.

iKydz Mobile:

iKydz Mobile is supported for your children’s Android (version 7.0 and above) and Apple (version 12.0 and above) mobile devices.

 

NOT SUPPORTED FOR iKydz Mobile:

  • Any child device using the Android Go Edition that are updated to Android 10. The Android Go Edition is a cut-down version of the Android OS and does not have the system requirement or required features to support the iKydz Internet Control system for mobile devices. Android Go Edition devices can, of course, be managed and protected when connected to the iKydz WIFI solution, but cannot be protected when on the go and connected to mobile data.
  • From time to time, OS updates to devices using Android OS Forks (such as the Android fork OS MIUI used by Xiaomi) may cause issues with the operation of iKydz Mobile. Please contact our support team if you are having difficulties.
Go to Top